Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoTimedDynUpdate Class Reference

An eoUpdater to update an eoUpdatable object every given time interval. More...

`#include <eoUpdatable.h>`

Inheritance diagram for eoTimedDynUpdate:

List of all members.

## Public Member Functions
| eoTimedDynUpdate (eoUpdatable &_toUpdate, time_t _interval)
void | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
const time_t | interval
time_t | last_time
const time_t | first_time

## Detailed Description

An eoUpdater to update an eoUpdatable object every given time interval.

Definition at line 67 of file eoUpdatable.h.

The documentation for this class was generated from the following file:

- eoUpdatable.h